PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List contacts GETCreate a contact POSTGet a contact GETUpdate a contact PATCHSoft-delete a contact DELETE
Contacts

List contacts

GET
/contacts

Authorization

x-api-key<token>

In: header

Query Parameters

limit?integer
Rangevalue <= 100
Default50
offset?integer
Range0 <= value
Default0
search?string
customerId?string
unlinkedOnly?boolean
firstTouchSource?string

Value in

  • "FORM"
  • "INSTAGRAM_DM"
  • "INSTAGRAM_COMMENT"
  • "INSTAGRAM_AD"
  • "BOOKING"
  • "IMPORT"
  • "MANUAL"
  • "API"

Response Body

application/json

curl -X GET "https://example.com/contacts"
{  "data": [    {      "id": "string",      "workspaceId": "string",      "customerId": "string",      "name": "string",      "email": "string",      "phone": "string",      "role": "string",      "tags": [        "string"      ],      "emailMarketingOptOut": true,      "marketingConsentAt": "2019-08-24T14:15:22Z",      "ageBand": "string",      "guardianEmail": "string",      "guardianConsentAt": "2019-08-24T14:15:22Z",      "dmOptOutAt": "2019-08-24T14:15:22Z",      "firstTouchSource": "FORM",      "firstTouchAt": "2019-08-24T14:15:22Z",      "firstTouchFormId": "string",      "firstTouchUtm": {        "property1": "string",        "property2": "string"      },      "firstTouchRef": "string",      "metaContext": {        "siteId": "string",        "at": "2019-08-24T14:15:22Z",        "hasFbp": true,        "hasFbc": true      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "total": 0,    "limit": 0,    "offset": 0  }}

Delete a customer DELETE

Previous Page

Create a contact POST

Next Page